Package net.dona.doip.util.tls

## Class AllTrustingTrustManager

- java.lang.Object
- - net.dona.doip.util.tls.AllTrustingTrustManager

- All Implemented Interfaces:
    `javax.net.ssl.TrustManager`, `javax.net.ssl.X509TrustManager`

      public class AllTrustingTrustManager
      extends java.lang.Object
      implements javax.net.ssl.X509TrustManager

  An instance of `X509TrustManager` which will trust all certificates.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AllTrustingTrustManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkClientTrusted​(java.security.cert.X509Certificate[] chain, java.lang.String authType)` |
    `void` | `checkServerTrusted​(java.security.cert.X509Certificate[] chain, java.lang.String authType)` |
    `java.security.cert.X509Certificate[]` | `getAcceptedIssuers()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllTrustingTrustManager

          public AllTrustingTrustManager()

  - ### Method Detail

    - #### checkClientTrusted

          public void checkClientTrusted​(java.security.cert.X509Certificate[] chain,
                                         java.lang.String authType)
                                  throws java.security.cert.CertificateException

      Specified by:
        `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`

    - #### checkServerTrusted

          public void checkServerTrusted​(java.security.cert.X509Certificate[] chain,
                                         java.lang.String authType)
                                  throws java.security.cert.CertificateException

      Specified by:
        `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`

    - #### getAcceptedIssuers

          public java.security.cert.X509Certificate[] getAcceptedIssuers()

      Specified by:
        `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`